'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _defaultStyles;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styleSheet = exports.styleSheet = '\n@media screen and(min - width : 360 px) {\n  .modaldialog__container {\n    max - height: 90 vh;\n    margin: 3.3 rem;\n}\n@media screen and(max - width : 360 px) {\n  .modaldialog__closemodalbutton {\n    right: 0.5 rem;\n    top: 0.5 rem;}\n}\n@media screen and(min - width : 360 px) {\n  .modaldialog__closemodalbutton {\n    right: -3 rem;\n    top: -2 rem;}\n}';

var defaultStyles = exports.defaultStyles = (_defaultStyles = {
	container: {
		position: 'relative',
		alignItems: 'center',
		cursor: 'default',
		display: 'flex',
		flex: '0 1 auto',
		flexDirection: 'column',
		opacity: '1',
		color: 'black',
		background: 'rgba(245, 245, 245, 0.85)',
		border: '1px solid #575757',
		zIndex: '2',
		borderRadius: '0.5rem'
	},
	background: {
		position: 'fixed',
		height: '100%',
		top: '0',
		left: '0',
		width: '100%',
		WebkitTapHighlightColor: 'transparent'
	},
	body: {
		display: 'flex',
		flexDirection: 'column',
		justifyContent: 'center',

		background: '#fdfdfd',
		flex: '1 1 auto',
		padding: '2.4rem 1.2rem',
		overflowY: 'auto'
	}
}, _defineProperty(_defaultStyles, 'background', {
	position: 'fixed',
	height: '100%',
	top: '0',
	left: '0',
	width: '100%',
	background: 'rgba(0, 0, 0, 0.5)',
	zIndex: '4',
	opacity: '1',
	display: 'flex',
	alignItems: 'center',
	justifyContent: 'center',
	WebkitTapHighlightColor: 'transparent'
}), _defineProperty(_defaultStyles, 'header', {
	fontSize: '1.25rem',
	margin: '0',
	padding: '2rem 2rem 1.5rem 2rem',
	borderBottom: '0.5rem solid #f0f0f0',
	background: '#fafafa'
}), _defineProperty(_defaultStyles, 'buttons', {
	borderTop: '1px solid #575757',
	padding: '0.5rem 0',
	width: '100%',
	background: 'white',
	display: 'flex',
	alignItems: 'center',
	justifyContent: 'flex-end'
}), _defineProperty(_defaultStyles, 'closemodalbutton', {
	right: '0.5rem',
	top: '0.5rem',
	cursor: 'pointer',
	position: 'absolute',
	background: 'white',
	borderRadius: '100%',
	display: 'flex',
	flexDirection: 'row-reverse'
}), _defaultStyles);